Bug 24610 - Let user switch between 'Pay' and 'Write off' mode
Summary: Let user switch between 'Pay' and 'Write off' mode
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-07 10:53 UTC by Julian Maurice
Modified: 2020-08-06 16:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 24610: Let user switch between 'Pay' and 'Write off' mode (5.27 KB, patch)
2020-02-07 10:54 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 24610: Compiled CSS (116.50 KB, patch)
2020-02-07 10:54 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 24610: Let user switch between 'Pay' and 'Write off' mode (5.34 KB, patch)
2020-02-07 14:10 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24610: Compiled CSS (116.56 KB, patch)
2020-02-07 14:10 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24610: Let user switch between 'Pay' and 'Write off' mode (5.33 KB, patch)
2020-03-27 15:09 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 24610: Compiled CSS (116.95 KB, patch)
2020-03-27 15:09 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 24610: Let user switch between 'Pay' and 'Write off' mode (5.40 KB, patch)
2020-07-31 16:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24610: Compiled CSS (120.08 KB, patch)
2020-08-06 16:29 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2020-02-07 10:53:14 UTC
In patron's accounting section, under 'Make a payment' tab, you have the choice between 'Pay' and 'Write off'. It takes you to another form, but once there you cannot change mode. You have to click on Cancel, re-select the lines you had selected (if you made a selection) and click on the right button.

This bug will add a way to switch between 'Pay' and 'Write off' mode
Comment 1 Julian Maurice 2020-02-07 10:54:27 UTC
Created attachment 98552 [details] [review]
Bug 24610: Let user switch between 'Pay' and 'Write off' mode

In patron's accounting section, under 'Make a payment' tab, you have the
choice between 'Pay' and 'Write off'. It takes you to another form, but
once there you cannot change mode. You have to click on Cancel,
re-select the lines you had selected (if you made a selection) and click
on the right button.

This patch adds link above the form to easily switch between the two
modes.

Also fixes a CSS bug to be able to use Bootstrap's nav pills inside
.statictabs

Test plan:
1. Create some manual invoices
2. Go to 'Make a payment' tab
3. Click on the 'Pay' button in a table row
4. Above the form you should see two links ('Pay' and 'Write off').
   Click on 'Write off', confirm the write off and verify that it did
   make a 'write off'.
5. Go to 'Make a payment' tab
6. Click on the 'Write off' button in a table row
7. Click 'Pay', confirm the pay and verify that it did make a 'pay'
8. Go to 'Make a payment' tab
9. Select some lines and click on 'Pay selected'
10. Click on 'Write off', confirm the 'write off' and verify that it did
    make a 'write off'
11. Go to 'Make a payment' tab
12. Select some lines and click on 'Write off selected'
13. Click on 'Pay', confirm the pay and verify that it did make a 'pay'
Comment 2 Julian Maurice 2020-02-07 10:54:30 UTC
Created attachment 98553 [details] [review]
Bug 24610: Compiled CSS
Comment 3 ByWater Sandboxes 2020-02-07 14:10:33 UTC
Created attachment 98566 [details] [review]
Bug 24610: Let user switch between 'Pay' and 'Write off' mode

In patron's accounting section, under 'Make a payment' tab, you have the
choice between 'Pay' and 'Write off'. It takes you to another form, but
once there you cannot change mode. You have to click on Cancel,
re-select the lines you had selected (if you made a selection) and click
on the right button.

This patch adds link above the form to easily switch between the two
modes.

Also fixes a CSS bug to be able to use Bootstrap's nav pills inside
.statictabs

Test plan:
1. Create some manual invoices
2. Go to 'Make a payment' tab
3. Click on the 'Pay' button in a table row
4. Above the form you should see two links ('Pay' and 'Write off').
   Click on 'Write off', confirm the write off and verify that it did
   make a 'write off'.
5. Go to 'Make a payment' tab
6. Click on the 'Write off' button in a table row
7. Click 'Pay', confirm the pay and verify that it did make a 'pay'
8. Go to 'Make a payment' tab
9. Select some lines and click on 'Pay selected'
10. Click on 'Write off', confirm the 'write off' and verify that it did
    make a 'write off'
11. Go to 'Make a payment' tab
12. Select some lines and click on 'Write off selected'
13. Click on 'Pay', confirm the pay and verify that it did make a 'pay'

Signed-off-by: Christofer <christofer.zorn@ajaxlibrary.ca>
Comment 4 ByWater Sandboxes 2020-02-07 14:10:35 UTC
Created attachment 98567 [details] [review]
Bug 24610: Compiled CSS

Signed-off-by: Christofer <christofer.zorn@ajaxlibrary.ca>
Comment 5 Christofer Zorn 2020-02-07 14:11:18 UTC
Hello! I was able to follow the test plan below and it worked according to the plan. Thank you!
Comment 6 Julian Maurice 2020-02-07 14:22:49 UTC
Thank you for testing it ;)
Comment 7 Julian Maurice 2020-03-27 15:09:35 UTC
Created attachment 102006 [details] [review]
Bug 24610: Let user switch between 'Pay' and 'Write off' mode

In patron's accounting section, under 'Make a payment' tab, you have the
choice between 'Pay' and 'Write off'. It takes you to another form, but
once there you cannot change mode. You have to click on Cancel,
re-select the lines you had selected (if you made a selection) and click
on the right button.

This patch adds link above the form to easily switch between the two
modes.

Also fixes a CSS bug to be able to use Bootstrap's nav pills inside
.statictabs

Test plan:
1. Create some manual invoices
2. Go to 'Make a payment' tab
3. Click on the 'Pay' button in a table row
4. Above the form you should see two links ('Pay' and 'Write off').
   Click on 'Write off', confirm the write off and verify that it did
   make a 'write off'.
5. Go to 'Make a payment' tab
6. Click on the 'Write off' button in a table row
7. Click 'Pay', confirm the pay and verify that it did make a 'pay'
8. Go to 'Make a payment' tab
9. Select some lines and click on 'Pay selected'
10. Click on 'Write off', confirm the 'write off' and verify that it did
    make a 'write off'
11. Go to 'Make a payment' tab
12. Select some lines and click on 'Write off selected'
13. Click on 'Pay', confirm the pay and verify that it did make a 'pay'

Signed-off-by: Christofer <christofer.zorn@ajaxlibrary.ca>
Comment 8 Julian Maurice 2020-03-27 15:09:40 UTC
Created attachment 102007 [details] [review]
Bug 24610: Compiled CSS

Signed-off-by: Christofer <christofer.zorn@ajaxlibrary.ca>
Comment 9 Nick Clemens 2020-07-31 16:24:13 UTC
Created attachment 107653 [details] [review]
Bug 24610: Let user switch between 'Pay' and 'Write off' mode

In patron's accounting section, under 'Make a payment' tab, you have the
choice between 'Pay' and 'Write off'. It takes you to another form, but
once there you cannot change mode. You have to click on Cancel,
re-select the lines you had selected (if you made a selection) and click
on the right button.

This patch adds link above the form to easily switch between the two
modes.

Also fixes a CSS bug to be able to use Bootstrap's nav pills inside
.statictabs

Test plan:
1. Create some manual invoices
2. Go to 'Make a payment' tab
3. Click on the 'Pay' button in a table row
4. Above the form you should see two links ('Pay' and 'Write off').
   Click on 'Write off', confirm the write off and verify that it did
   make a 'write off'.
5. Go to 'Make a payment' tab
6. Click on the 'Write off' button in a table row
7. Click 'Pay', confirm the pay and verify that it did make a 'pay'
8. Go to 'Make a payment' tab
9. Select some lines and click on 'Pay selected'
10. Click on 'Write off', confirm the 'write off' and verify that it did
    make a 'write off'
11. Go to 'Make a payment' tab
12. Select some lines and click on 'Write off selected'
13. Click on 'Pay', confirm the pay and verify that it did make a 'pay'

Signed-off-by: Christofer <christofer.zorn@ajaxlibrary.ca>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Jonathan Druart 2020-08-03 09:59:24 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-08-06 16:29:42 UTC
Created attachment 107902 [details] [review]
Bug 24610: Compiled CSS

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Lucas Gass 2020-08-06 16:30:20 UTC
attached to wrong bug, sorry